## libtexttools 2.0.3

=== Makefile ===
# TEXTTOOLS - tests makefile

all:
	make -C C_code
	make -C examples

clean:
	make -C C_code clean
	make -C examples clean
	rm *.o
	rm *.ali
