=== C_code/Makefile ===
# TEXTTOOLS - tests makefile

all: curses.o system.o

curses.o: curses.c
	cc -O -c curses.c

system.o: system.c
	cc -O -c system.c

clean:
	rm -f *.o
