=== cpp/Makefile ===

all: common_test adafiles
	c++ -c t.cc
	gnatbind -n ../cpp
	gnatgcc -c b~cpp.adb
	gnatlink -o t t.o ../C_code/*.o ../cpp.ali -lncurses -lm --link=c++

common_test: common_test.cpp
	c++ -c common_test.cpp
	gnatbind -n ../cpp
	gnatgcc -c b~cpp.adb
	gnatlink -o common_test common_test.o ../C_code/*.o ../cpp.ali -lncurses -lm --link=c++

adafiles:
	gnatmake -c -i -O1 -gnataon -I.. cpp.ads
