## libtexttools 2.0.5

=== Makefile ===
# TEXTTOOLS - tests makefile

all:
	make -C C_code
	make -C examples
	ar q libtexttools.a *.o C_code/*.o

clean:
	make -C C_code clean
	make -C examples clean
	rm -f *.o
	rm -f *.ali
	rm -f libtexttools.a

install: all
	install --mode=444 libtexttools.a /usr/local/lib/libtexttools.a
