=== examples/Makefile ===
--- 
+++ 
@@ -49,5 +49,5 @@
 clean:
 	rm -f *.o
 	rm -f *.ali
-	rm -f basic basic2
+	rm -f basic basic2 alert listinfo listinfo2 scrollable uio_demo uio2_demo os_demo
