=== debian/changelog ===
libtexttools (2.0.6-2) unstable; urgency=low

  [Ludovic Brenta]
  * debian/control (DM-Upload-Allowed): yes.
    (*-dev): depend on gnat, ada-compiler.
    (*-dbg, *-doc): suggest gnat, gnat-4.4, ada-compiler.

  [Nicolas Boulenguez]
  * control: (Architectures) any like all Ada packages
    (see http://lists.debian.org/debian-ada/2010/02/msg00002.html)

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 20 Jun 2010 21:02:14 +0200

libtexttools (2.0.6-1) unstable; urgency=low

  * new upstream release.
    Causes package name changes, see 2.0.5-2.
    libtexttools1-dev -> libtexttools2-dev (with Conflicts and Replaces)
    libtexttools3(-dbg) -> libtexttools4(-dbg)
    Closes: #557894, #249917, #563991.
  * control: updated XS-Vcs- field to Vcs- to follow new dpkg policy.
    (Architectures) documented alpha removal
      Added armel (Closes: #568446).
    (Priority) extra seems more realistic
    (Vcs-Browser) used official URL.
    (Section) removed binary section inherited from source
    (Description) given each binary a distinct description
    (Standards-Version) Updated to 3.8.4.0, no changes needed.
  * build.gpr;rules: documented -fstack-check removal
  * watch: added.
  * copyright: GPL-3 instead of GPL.
  * rules:
    Generated separated debhelper files: more readability, less overloadings.
    Used upstream build process, with a patch to transmit soversion.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Wed, 10 Feb 2010 00:54:33 +0100

libtexttools (2.0.5-2) unstable; urgency=low

  [Nicolas Boulenguez]
  * Package name changes (see extensive discussion at
    http://people.debian.org/~lbrenta/debian-ada-policy.html):
    libtexttools-dev -> libtexttools1-dev (with Conflicts and Replaces)
    libtexttools2.0.5 -> libtexttools3
  * control: conforms to standards version 3.8.3 and debhelper 7,
    added homepage and source section, added -dev and -dbg packages,
    changed aliversion and soversion because of gnat-4.4 transition
  * rules: uses debhelper facilities and a project file
  * compat: added.
  * patches: instead of ../patches.
  * libtexttools-dev: removed obsolete postinst script
  * build.gpr: added debian build project file
  * Closes: 477474 (RFA) new maintainer
  * Closes: 405466 not reproducible with gnat-4.4
  * Closes: 542419 added kfreebsd-amd64 to the architectures list

  [Ludovic Brenta]
  * debian/build.gpr: disable -fstack-check.
    Eric Botcazou says: "-fstack-check is broken with GCC 4.4 on x86/x86-64
    Linux, it generates code that will easily segfault"
    (http://gcc.gnu.org/PR20548).
  * debian/control: add Conflicts and Replaces where necessary.
    (Architecture): remove alpha due to http://gcc.gnu.org/PR42073.
    (XS-VCS-Browser): use the official URL.
  * debian/rules (CFLAGS): use char, not int, to represent Booleans; in Ada,
    Boolean is an 8-bit type.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 21 Nov 2009 15:07:47 +0100

libtexttools (2.0.5-1) unstable; urgency=low
  
  [Ludovic Brenta]
  * New upstream version.
  * Migrate to GCC 4.3; bump soversion to 2.0.5 due to new ABI.
  * patches/stdbool.patch: new; move from the .diff.gz to a separate patch.
  * Build-depend on quilt; apply the above patch in debian/rules.
  * texttools.gpr: change into a library project file (new feature of GCC 4.3).
  
  [Thiemo Seufer]
  * Add support for mips and mipsel.  Closes: #475572.
  * Build-depend on gnat and gnat-4.3.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 19 Apr 2008 14:50:30 +0200

libtexttools (2.0.3-4) unstable; urgency=medium

  * Acknowledge NMU, but revert most of it.
  * debian/changelog: restore the local variables.  They will become obsolete
    only after I stop using them.
  * debian/control (Build-Depends): depend on gnat >= 4.1.
    (Maintainer): change to my Debian email address.
    (Uploaders): remove.
    (Architecture): add alpha, amd64, hppa, ia64, and s390.
    (Standards-Version): update to 3.7.2 with no changes required.
    (libtexttools2): rename to libtexttools2.0 due to new ABI.  Conflict with
    and Replace the previous version.  Closes: #378824.
    (libtexttools-dev): depend on gnat-4.1, libtexttools2.0.
  * deban/rules: use different compiler flags for C and Ada, per the NMU.
    Do not do recursive calls anymore.  Do not delete object files anymore;
    place PIC and non-PIC objects in different directories.
    (binary-arch): split into one pre target, one target per package, and
    one post (common) target.
  * debian/texttools.gpr: update.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 22 Sep 2006 17:59:43 +0200
	

libtexttools (2.0.3-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Rebuild with gnat-4.1. (Closes: #377721)
    * Remove build-dependency on gnat (<< 3.16).
    * Set CFLAGS to "-O2 -g".
  * Remove obsolete local variables from the bottom of the changelog.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 18 Jul 2006 11:54:12 +0200

libtexttools (2.0.3-3) unstable; urgency=low
  
  * debian/rules: Accept any character in the Debian upload number.
    Closes: #359902.

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Sat,  1 Apr 2006 13:56:03 +0200
  

libtexttools (2.0.3-2) unstable; urgency=low
  
  * debian/control: Add support for GNU/kFreeBSD.  Build-depend on gnat
    (>=3.15p-19).  Update Standards-Version from 3.6.1 to 3.6.2 with no
    changes.  Change maintainer's email address.

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Thu,  2 Mar 2006 08:01:20 +0100
	

libtexttools (2.0.3-1) unstable; urgency=low

  * Initial Release.  Closes: #236548.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Tue, 23 Mar 2004 08:05:13 +0100

Local variables:
left-margin: 2
End:
