=== debian/control ===
Source: libtexttools
Section: libdevel
Priority: extra
Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), ncurses-dev, gnat, gnat-4.4
Standards-Version: 3.8.4.0
Vcs-Browser: http://ada-france.org:8081/branch/changes/org.debian.texttools
Homepage: http://www.pegasoft.ca/tt.html

Package: libtexttools2-dev
Architecture: any
# alpha is temporarily disabled due to #http://gcc.gnu.org/PR42073
Depends: ${misc:Depends}, gnat, gnat-4.4, ada-compiler, libtexttools4 (= ${binary:Version})
Conflicts: libtexttools-dev, libtexttools1-dev
Replaces: libtexttools-dev, libtexttools1-dev
Description: Ada and C++ library for writing console applications: development
 The Texttools packages are a GPL, ncurses-based library for the Linux
 console.  Texttools contain more than 600 procedures and functions to
 create windows, draw scroll bars, handle the mouse and keyboard
 events, play sounds, and much more.  The Texttools package also
 provides a thick binding to Linux kernel calls.  You can create a wide
 variety of application programs using Texttools alone.
 .
 Install this package if you want to write Ada or C++ programs that
 use Texttools.

Package: libtexttools4
Section: libs
Architecture: any
# alpha is temporarily disabled due to #http://gcc.gnu.org/PR42073
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ada and C++ library for writing console applications: shared library
 The Texttools packages are a GPL, ncurses-based library for the Linux
 console.  Texttools contain more than 600 procedures and functions to
 create windows, draw scroll bars, handle the mouse and keyboard
 events, play sounds, and much more.  The Texttools package also
 provides a thick binding to Linux kernel calls.  You can create a wide
 variety of application programs using Texttools alone.
 .
 This package contains the runtime shared library.

Package: libtexttools-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: libtexttools-dev (<< 2.0.6-1)
Suggests: gnat, gnat-4.4, ada-compiler
Description: Ada and C++ library for writing console applications: documentation
 The Texttools packages are a GPL, ncurses-based library for the Linux
 console.  Texttools contain more than 600 procedures and functions to
 create windows, draw scroll bars, handle the mouse and keyboard
 events, play sounds, and much more.  The Texttools package also
 provides a thick binding to Linux kernel calls.  You can create a wide
 variety of application programs using Texttools alone.
 .
 This package contains the documentation.

Package: libtexttools4-dbg
Section: debug
Architecture: any
# alpha is temporarily disabled due to #http://gcc.gnu.org/PR42073
Depends: ${misc:Depends}, libtexttools4 (= ${binary:Version})
Recommends: libtexttools2-dev (= ${binary:Version})
Suggests: gnat, gnat-4.4, ada-compiler
Description: Ada and C++ library for writing console applications: debug symbols
 The Texttools packages are a GPL, ncurses-based library for the Linux
 console.  Texttools contain more than 600 procedures and functions to
 create windows, draw scroll bars, handle the mouse and keyboard
 events, play sounds, and much more.  The Texttools package also
 provides a thick binding to Linux kernel calls.  You can create a wide
 variety of application programs using Texttools alone.
 .
 This package contains the runtime debug symbols.
