## libtexttools 2.0.7

=== Makefile ===
--- 
+++ 
@@ -48,9 +48,16 @@
 	gnatmake -j$(CPUS) --create-missing-dirs -Pbuild.gpr \
           -XLIB_KIND=static -XLIB_OBJ_DIR=static-obj -XLIB_ALI_DIR=static-ali
 
+#system.o:
+#	cd C_code
+#	$(CC) -O -c system.c
+#	$(CC) -O -c curses.c
+#	cd ..
+
 clean:
 	$(RM) -r shared-obj shared-ali static-obj static-ali
 	$(RM) $(SONAME) lib$(LIB_NAME).so lib$(LIB_NAME).a
+	$(RM) C_code/*.o *.o *.ali
 	$(RM) *~
 	$(MAKE) -C examples $@
