=== debian/changelog ===
libtexttools (2.0.7-2) unstable; urgency=low

  * rules: do not strip static library archive.
    added run-tests target
  * ALDH.DOC_PKG: remove duplicate file from docs.
  * README.Debian: should not depend on the architecture.
  * control: removed dependencies on virtual package ada-compiler.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Fri, 17 Feb 2012 20:18:57 +0100

libtexttools (2.0.7-1) unstable; urgency=low

  * New upstream release (Closes: #642588).
  * Build with gnat-4.6 (Closes: #642648)
  * Multi-arch support.
  * Upgrade to debhelper 8.9.8, policy 3.9.2, dpkg-dev 1.16.1
    (dpkg-dev now defaults to source/local-options and simplifies debian/rules)
    (arch/indep selective debhelper overrides)
  * Use gprbuild instead of upstream Makefile.
  * control: Breaks is enough between -doc and out-of-date -dev.
    -dev package renaming, Conflicts & Replaces due to debian-ada-policy.
    (Vcs-*): Added Vcs-Browser, corrected Vcs-Mtn
    (Build-Depends): unversioned libncurses-dev
  * patches/*: DEP-3 conformant headers
    Call Ada cos/sin instead of C ones to avoid a dependency.
  * copyright: DEP-5 conformant

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Sat, 01 Oct 2011 00:26:09 +0200
