=== debian/control ===
Source: libtexttools
Section: libdevel
Priority: extra
Maintainer: Nicolas Boulenguez <nicolas.boulenguez@free.fr>
DM-Upload-Allowed: yes
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 8.9.8),
 gnat, gnat-4.6, gprbuild,
 libncurses-dev
Standards-Version: 3.9.2
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libtexttools
Vcs-Mtn: www.ada-france.org org.debian.libtexttools
Homepage: http://www.pegasoft.ca/tt.html

Package: libtexttools3-dev
Architecture: any
Depends: ${misc:Depends},
  gnat, gnat-4.6,
  libtexttools5 (= ${binary:Version})
Description: Ada and C++ library for writing console applications: development
 The Texttools packages are a GPL, ncurses-based library for the Linux
 console.  Texttools contain more than 600 procedures and functions to
 create windows, draw scroll bars, handle the mouse and keyboard
 events, play sounds, and much more.  The Texttools package also
 provides a thick binding to Linux kernel calls.  You can create a wide
 variety of application programs using Texttools alone.
 .
 Install this package if you want to write Ada or C++ programs that
 use Texttools.

Package: libtexttools5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ada and C++ library for writing console applications: shared library
 The Texttools packages are a GPL, ncurses-based library for the Linux
 console.  Texttools contain more than 600 procedures and functions to
 create windows, draw scroll bars, handle the mouse and keyboard
 events, play sounds, and much more.  The Texttools package also
 provides a thick binding to Linux kernel calls.  You can create a wide
 variety of application programs using Texttools alone.
 .
 This package contains the runtime shared library.

Package: libtexttools-dbg
Section: debug
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libtexttools5 (= ${binary:Version})
Recommends: libtexttools3-dev (= ${binary:Version})
Suggests: gnat,
Description: Ada and C++ library for writing console applications: debug symbols
 The Texttools packages are a GPL, ncurses-based library for the Linux
 console.  Texttools contain more than 600 procedures and functions to
 create windows, draw scroll bars, handle the mouse and keyboard
 events, play sounds, and much more.  The Texttools package also
 provides a thick binding to Linux kernel calls.  You can create a wide
 variety of application programs using Texttools alone.
 .
 This package contains the runtime debug symbols.

Package: libtexttools-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: libtexttools-dev (<< 2.0.6-1)
Suggests: gnat,
Description: Ada and C++ library for writing console applications: documentation
 The Texttools packages are a GPL, ncurses-based library for the Linux
 console.  Texttools contain more than 600 procedures and functions to
 create windows, draw scroll bars, handle the mouse and keyboard
 events, play sounds, and much more.  The Texttools package also
 provides a thick binding to Linux kernel calls.  You can create a wide
 variety of application programs using Texttools alone.
 .
 This package contains the documentation.
