=== debian/changelog ===
libtexttools (2.1.0-8) unstable; urgency=medium

  * allow-slash-in-cflags.diff with a distinct sed separator. Closes: #834248.
  * remove-pack-pragma-when-c-convention.diff thanks to GCC-6 new warning.
  * watch: version 4.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 16 Aug 2016 09:44:01 +0200

libtexttools (2.1.0-7) unstable; urgency=medium

  * Rebuild with gnat-6. Rename lib and -dev packages per Ada policy.
  * Use gprbuild for projects, as gnatmake does not support them anymore.
  * Enable all hardening flags but PIE.
  * No need to Break: libtexttools-dev, not in oldstable anymore.
  * Switch from manual -dbg packages to automatic -dbgsym.
  * copyright: replace duplicate license with separate paragraph.
  * Standards-Version: 3.9.8 (no changes).
  * XS-Testsuite: autopkgtest now obsolete.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 28 Apr 2016 00:40:28 +0200

libtexttools (2.1.0-6) unstable; urgency=medium

  * copyright: sources GPL2-+, all others GPL3-+.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 08 May 2014 09:59:55 +0200

libtexttools (2.1.0-5) unstable; urgency=medium

  * Build with gnat-4.9. Library and -dev packages renamed due to Ada policy.
  * rules: run-tests target obsoleted by sadt from devscripts.
    get-orig-source target not needed with a valid watch file.
  * sources/options: let dpkg select default compressor.
  * Standards-Version: 3.9.5 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 04 May 2014 16:54:20 +0200

libtexttools (2.1.0-4) unstable; urgency=low

  * preinst: typo in directory name. Closes: #721781.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 04 Sep 2013 17:37:22 +0200

libtexttools (2.1.0-3) unstable; urgency=low

  * control: Maintainer, DM-Upload-Allowed: debian address.
     XS-Testsuite: autopkgtest (Closes: #692682)
  * copyright: update
  * tests: updated. Valid test names may not contain underscores.
  * Remove all /usr/share/doc symlinks, preinst scripts.
  * Remove work-around for #680292, bug in gnat-4.6 is closed.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 26 Aug 2013 21:45:04 +0200

libtexttools (2.1.0-2) unstable; urgency=low

  * libtexttools-doc.preinst: remove /usr/share/doc symbolic link when
    upgrading from versions < 2.0.7-1, allowing dpkg to install a
    directory instead (Closes: #690132).

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Fri, 12 Oct 2012 18:23:50 +0200

libtexttools (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * Upstream switched back to gnatmake, so
    control (Depends): dh-ada-library (>= 3) with explicit gprconfig dependency.
  * rules: remove --as-needed from LDFLAGS. gnatmake calls gcc -shared
    LDFLAGS -lgnat in this order, making gcc ignoring some symbols.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Fri, 08 Jun 2012 23:43:32 +0200

libtexttools (2.0.7-3) unstable; urgency=low

  * Switched ALDH mess to dh_ada_library.
    Added debian/texttools.gpr.
  * Created build directories once and for all.
  * Replaced README.Debian with a short reference to Debian Ada Policy.
  * copyright: update.
  * patches: linker_options.patch not needed anymore
  * rules: added get-orig-source.
  * source.lintian-overrides: a generated dependency is passed via substvars
    and not seen by lintian.
  * Standards-Version 3.9.3, debhelper 9 (no changes)
  * control: -dep Depends: on libncurses-dev.

 -- Nicolas Boulenguez <nicolas.boulenguez@free.fr>  Thu, 05 Apr 2012 02:21:21 +0200
