=== debian/control ===
Source: libtexttools
Section: libdevel
Priority: extra
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 gnat, gnat-6,
 gprbuild (>= 2015-2),
# 2015-2 is compatible with gnat-6
 dh-ada-library (>= 6.7),
# 6.7 knows that -dbg packages are obsolete
 libncurses-dev
Standards-Version: 3.9.8
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libtexttools
Vcs-Mtn: www.ada-france.org org.debian.libtexttools
Homepage: http://www.pegasoft.ca/tt.html

Package: libtexttools5-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends},
 libncurses-dev
Description: Ada library for writing console applications: development
 The Texttools packages are a GPL, ncurses-based library for the Linux
 console.  Texttools contain more than 600 procedures and functions to
 create windows, draw scroll bars, handle the mouse and keyboard
 events, play sounds, and much more.  The Texttools package also
 provides a thick binding to Linux kernel calls.  You can create a wide
 variety of application programs using Texttools alone.
 .
 Install this package if you want to write Ada programs that use
 Texttools.

Package: libtexttools7
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ada library for writing console applications: shared library
 The Texttools packages are a GPL, ncurses-based library for the Linux
 console.  Texttools contain more than 600 procedures and functions to
 create windows, draw scroll bars, handle the mouse and keyboard
 events, play sounds, and much more.  The Texttools package also
 provides a thick binding to Linux kernel calls.  You can create a wide
 variety of application programs using Texttools alone.
 .
 This package contains the runtime shared library.

Package: libtexttools-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: gnat
Description: Ada library for writing console applications: documentation
 The Texttools packages are a GPL, ncurses-based library for the Linux
 console.  Texttools contain more than 600 procedures and functions to
 create windows, draw scroll bars, handle the mouse and keyboard
 events, play sounds, and much more.  The Texttools package also
 provides a thick binding to Linux kernel calls.  You can create a wide
 variety of application programs using Texttools alone.
 .
 This package contains the documentation.
