=== debian/watch ===
version=4
http://www.pegasoft.ca/tt-down.html \
downloads/texttools@ANY_VERSION@\.tgz
